We are transitioning over to a new forum platform. Please post new issues there. Existing threads will be dealt with here unless you choose to move them over. Visit the new forum

Forum

Thread tagged as: Question, Backup

Dropbox SDK

Hi Drew,

I had the following through from a client. Is this something I/client needs to update in Dropbox or is it the Dropbox backup App that needs to be upgraded?

We're writing to you because our logs indicate that you have at least one Dropbox API app (XXXXXXX Website Backup) that may be using an old version of the PHP Core SDK, with an out of date certificate file.

The Dropbox PHP Core SDK implements certificate pinning, based on a list of certificates included in the SDK, in order to help secure the connection to the Dropbox API servers.

On August 1st, 2016, the Dropbox API servers will be updated to use a new certificate, so if you’re using the PHP Core SDK version 1.1.1 or older, you’ll need to update version of the SDK used in your app to match. The latest version of the PHP Core SDK already contains the updated certificate file:

Thanks

Terry Upton

Terry Upton 0 points

  • 5 years ago
Drew McLellan

Drew McLellan 2638 points
Perch Support

There'll be an update long before August.

Thanks Drew.